NVME-ID-NS(1)

NAME
nvme-show-regs - Reads and shows the defined NVMe controller registers for NVMe over PCIe or the controller properties for NVMe over Fabrics.

SYNOPSIS

nvme show-regs <device>       [--human-readable | -H]
                                [--output-format=<FMT> | -o <FMT>]

DESCRIPTION

For the NVMe over PCIe device given, sends an identify namespace command and provides the result and returned structure. For the NVMe over Fabrics device given, sends a fabric command and provides the result and returned structure.

The <device> parameter is mandatory and must be the nvme admin character device (ex: /dev/nvme0). For NVMe over PCIe, the program uses knowledge of the sysfs layout to map the device to the pci resource stored there and mmaps the memory to get access to the registers. For NVMe over Fabrics, the programs sends a fabric command to get the properties of the target NVMe controller. Only the supported properties are displayed.

OPTIONS

-H, --human-readable
    Display registers or supported properties in human readable format.

-o <format>, --output-format=<format>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

EXAMPLES

    • Show the NVMe over PCIe controller registers or the NVMe over Fabric controller properties in a binary format:

        # nvme show-regs /dev/nvme0 -o binary

    • Show the NVMe over PCIe controller registers or the NVMe over Fabric controller properties in a human readable format:

        # nvme show-regs /dev/nvme0 -H

    • Show the NVMe over PCIe controller registers or NVMe-oF controller properties in a json format:

        # nvme show-regs /dev/nvme0 -o json

NVME

Part of the nvme-user suite